SimpleCharStream (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.selector.SimpleCharStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.selector
Class SimpleCharStream

    java.lang.Object
      org.codehaus.activemq.selector.SimpleCharStream

public final class SimpleCharStream
extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`(package private) int` | `available`
`int` | `bufpos`
`(package private) int` | `bufsize`
`static boolean` | `staticFlag`
`(package private) int` | `tokenBegin`

Constructor Summary
`SimpleCharStream(InputStream dstream)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(Reader dstream)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` | `backup(int amount)`
`char` | `BeginToken()`
`void` | `Done()`
`int` | `getBeginColumn()`
`int` | `getBeginLine()`
`int` | `getColumn()` Deprecated.
`int` | `getEndColumn()`
`int` | `getEndLine()`
`String` | `GetImage()`
`int` | `getLine()` Deprecated.
`char[]` | `GetSuffix(int len)`
`char` | `readChar()`
`void` | `ReInit(InputStream dstream)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(Reader dstream)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufsize

    int bufsize

### available

    int available

### tokenBegin

    int tokenBegin

### bufpos

    public int bufpos

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(Reader dstream)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream)

Method Detail

### BeginToken

    public final char BeginToken()
                          throws IOException

  Throws:
    `IOException`

### readChar

    public final char readChar()
                        throws IOException

  Throws:
    `IOException`

### getColumn

    public final int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public final int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public final int getEndColumn()

### getEndLine

    public final int getEndLine()

### getBeginColumn

    public final int getBeginColumn()

### getBeginLine

    public final int getBeginLine()

### backup

    public final void backup(int amount)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(Reader dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(InputStream dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public final String GetImage()

### GetSuffix

    public final char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.